Neverending Plethora of Modules
Have ideas to improve npm?Join in the discussion! »

@skyscanner/stylelint-plugin-backpack

1.1.3 • Public • Published

stylelint-plugin-backpack

Build Status npm version

Stylelint plugin to prevent magic arbitrary values and promote the use of Backpack tokens.

Installation

npm install @skyscanner/stylelint-plugin-backpack --save-dev

Usage

Add @skyscanner/stylelint-plugin-backpack to your stylelint config plugins array,

{
  "plugins": ["@skyscanner/stylelint-plugin-backpack"]
}

Once you have added the plugin, you will need to add the rules you wish to use to your rules config. All rules from @skyscanner/stylelint-plugin-backpack need to be namespaced with backpack.

Like so:

// .stylelintrc
{
  "rules": {
    "backpack/use-colors": true,
    "backpack/use-tokens": true
  }
}

Install

npm i @skyscanner/stylelint-plugin-backpack

DownloadsWeekly Downloads

111

Version

1.1.3

License

Apache-2.0

Unpacked Size

46.4 kB

Total Files

19

Last publish

Collaborators

  • avatar
  • avatar
  • avatar
  • avatar
  • avatar
  • avatar
  • avatar